       OPTIONS /EXTEND_SOURCE
!<title>Convert BROADCAST class string to BRKTRHRU request ID</title>
! by Joseph Huber
       integer function Broadcast2Reqid(sid)
       implicit NONE
       character*(*) sid
       INCLUDE '($BRKDEF)/NOLIST'


       integer N

       Broadcast2Reqid=0

       IF (sid.EQ.'GENERAL') THEN
        Broadcast2Reqid = BRK$C_GENERAL     !  GENERAL (OR UNSPECIFIED)
       ELSE IF (sid.EQ.'PHONE') THEN
        Broadcast2Reqid = BRK$C_PHONE       !  PHONE
       ELSE IF (sid.EQ.'MAIL') THEN
        Broadcast2Reqid = BRK$C_MAIL        !  MAIL
       ELSE IF (sid.EQ.'QUEUE') THEN
        Broadcast2Reqid = BRK$C_QUEUE      !  QUEUE MANAGER
       ELSE IF (sid.EQ.'SHUTDOWN') THEN
        Broadcast2Reqid = BRK$C_SHUTDOWN  !  SYSTEM SHUTDOWN
       ELSE IF (sid.EQ.'URGENT') THEN
        Broadcast2Reqid = BRK$C_URGENT     !  URGENT MESSAGE
       ELSE IF (sid.EQ.'DCL') THEN
        Broadcast2Reqid = BRK$C_DCL        !  DCL (control T)
       ELSE IF (sid.EQ.'OPCOM') THEN
        Broadcast2Reqid = BRK$C_OPCOM       !  OPERATOR MESSAGE
       ELSE IF (sid(1:4).EQ.'USER') THEN
        Broadcast2Reqid = BRK$C_USER1       !  reserved to customer
        IF (LEN(sid).gt.4) THEN
          READ(sid(5:),'(I)',ERR=100) N
          N=MAX(1,MIN(N,16))
          Broadcast2Reqid=Broadcast2Reqid+N-1
        ENDIF
       ENDIF
100    CONTINUE
        end
