c  <title> file_size returns the size of a file (blocks). </title>
c  It returns the allocated number of blocks, not the used one
c  Return value is the file size in (512-byte) blocks
	Integer Function FILE_SIZE (INPUT_FILE)
	
	CHARACTER*(*) INPUT_FILE
	INTEGER      LUN,ST

	INTEGER      UFO_OPEN
	EXTERNAL     UFO_OPEN

        include '(LIB$ROUTINES)'
	INTEGER      BLOCKSIZE
	COMMON/BLKS/BLOCKSIZE

        FILE_SIZE=0
        BLOCKSIZE=0
        ST = LIB$GET_LUN(LUN)
	IF (.not.ST) RETURN
	OPEN (UNIT=LUN,NAME=INPUT_FILE,STATUS='OLD',USEROPEN=UFO_OPEN,
     *  READONLY,SHARED)
	CLOSE (UNIT=LUN)
        FILE_SIZE=BLOCKSIZE 	
        CALL LIB$FREE_LUN()
	END

	INTEGER FUNCTION UFO_OPEN (FAB,RAB,LUN)

	INTEGER      BLOCKSIZE
	COMMON/BLKS/BLOCKSIZE

	INCLUDE '($FABDEF)'
	INCLUDE '($RABDEF)'
	INCLUDE '($XABDEF)'
	INCLUDE '($XABRDTDEF)'


	RECORD /FABDEF/ FAB
	RECORD /RABDEF/ RAB
	RECORD /XABDEF/ XAB

	INTEGER      STATUS, LUN
	INTEGER      SYS$OPEN, SYS$CONNECT

	XAB.XAB$B_COD = XAB$C_RDT
	XAB.XAB$B_BLN = XAB$K_RDTLEN
	XAB.XAB$L_NXT = FAB.FAB$L_XAB
	FAB.FAB$L_XAB = %LOC(XAB.XAB$B_COD)
	
	STATUS = SYS$OPEN (FAB)
	IF (STATUS) STATUS = SYS$CONNECT (RAB)
 	UFO_OPEN = STATUS

	BLOCKSIZE = FAB.FAB$L_ALQ
	RETURN
	END

