      SUBROUTINE FILL_ITMLST(itmlst,code,buf,buflen,retadr)
C
C      SUBROUTINE FILL_ITMLST(itmlst,code[,buf,[buflen[,retadr]]])
C-----------------------------------------
C
C   Author   :- J.Huber               30-MAR-1994
C
C=========================================
C
C   Purpose   : <title> Fill values in itemlist </title> 
C   Inputs    : itmlst= address of an itmlst structure
C   code = item code
C   buf = address of item buffer
C   buflen = length of buffer
C   retadr = address of return length
C   Outputs   :
C
C ATTENTION: the buf argument is declared as BYTE. In Fortran use %REF(string)
C to pass a CHARACTER argument string !
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      STRUCTURE /itmlst/
        UNION
          MAP
            INTEGER*2 buflen,itmcod
            INTEGER*4 bufadr,retadr
          END MAP
          MAP
            INTEGER*4 end_list
          END MAP
        END UNION
      END STRUCTURE

      RECORD /itmlst/ itmlst
      INTEGER*2 code
      BYTE buf(*)
      INTEGER*2 buflen
      INTEGER retadr

! Declare pointer to argument list
      POINTER (ARGLIST_P, ARGLIST_ENTRY)
      INTEGER*4 ARGLIST_ENTRY

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

      itmlst.itmcod = code
      itmlst.buflen=0
      itmlst.bufadr=0
      itmlst.retadr=0
      IF (iargcount().GT.2) THEN
        itmlst.bufadr=%LOC(buf)
        itmlst.buflen=4
        IF (iargcount().GT.3) THEN
          ARGLIST_P = IARGPTR()+4*SIZEOF(ARGLIST_P) !point to argument buflen
          IF (arglist_entry.NE.0) THEN !argument present
            itmlst.buflen=buflen
          ENDIF
          IF (iargcount().GT.4) THEN
            itmlst.retadr=%LOC(retadr)
          ENDIF
        ENDIF
      ENDIF

      END
