/***************************************************************                
*  fs:  C-function, type: *dsc$descriptor_s 
*
 <META name="keywords" content="descriptor,string,convert,pointer">
*<title>  convert C-string to pointer to VMS string descriptor </title>  
*  
*  example: 	  BDAPR(&lun,fs("+DIR"));
*
****************************************************************/               
                                                                                
#include <descrip.h>
#include <string.h>
#include <stdio.h>

   struct dsc$descriptor_s  *fs(char *cstring)

{
#define BUFSIZE 20	
    unsigned short length;
    static struct dsc$descriptor_s fstring[BUFSIZE];
    static unsigned int bufpos;

/* begin code here */

    length = strlen(cstring);
/* printf("\nfs input: %s, length: %d",cstring,length); */

    if (++bufpos >= BUFSIZE) bufpos = 0;	/* get new position in buffer */

    fstring[bufpos].dsc$b_dtype = DSC$K_DTYPE_T;	/* type is CHARACTER	*/
    fstring[bufpos].dsc$b_class = DSC$K_CLASS_S;	/* string descriptor	*/
    fstring[bufpos].dsc$w_length = length; 		/* length of string	*/
    fstring[bufpos].dsc$a_pointer = cstring;	/* pointer to string	*/

    return(&fstring[bufpos]);
}
