      INTEGER FUNCTION I2TOI4(I2)
C
C-----------------------------------------
C
C   Author   :- J.Huber               11-APR-1991
C
C=========================================
C
C   Purpose   :
C <title>      Return short integer input argument as (long) integer, </title>
C       interpreting the input as UNSIGNED SHORT INTEGER, i.e. ZERO EXTENDED,
C       not SIGN EXTENDED as a type conversion I2 to I4 would do.
C   Returned value  : argument copied
C   Inputs    :
C       integer*2 I2
C   Outputs   :
C
C=========================================
C  Modified 25-Feb-1992 use ZEXT intrinsic function
C +
C Declarations.
C -
      IMPLICIT NONE
      INTEGER*2 I2
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      i2toi4 = ZEXT(i2)
      END
