C#######################################################################
      INTEGER FUNCTION ignore_F_errors(SIGARGS,MECHARGS)
C
C-----------------------------------------
C
C   Author   :- J.Huber               29-MAR-1994
C
C=========================================
C
C   Purpose   :<title> A "ignore all aritmetic trap" condition handler </title>
C   Inputs    :
C   Outputs   :
C
* to establish this condition handler, include the following statements in
* the main program (or any subroutine level below it should be activated):
*      external ignore_F_errors
*      CALL LIB$ESTABLISH(ignore_F_errors)

C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INTEGER   SIGARGS(*),MECHARGS(*)
      INTEGER  LIB$MATCH_COND,LIB$FIXUP_FLT
      INCLUDE '($FORDEF)'
      INCLUDE '($SSDEF)'
      INCLUDE '($MTHDEF)'
      INTEGER IDX

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

C---------------------------------------------------------------------
C PRIVATE EXCEPTION HANDLER: ignore all arithmetic traps
C-------------------------------------------------------------------
C
      IDX         = LIB$MATCH_COND(SIGARGS(2)
     1,                                    SS$_INTOVF
     2,                                    SS$_INTDIV
     3,                                    SS$_FLTOVF_F
     4,                                    SS$_FLTDIV_F
     5,                                    SS$_FLTUND_F
     6,                                    SS$_FLTOVF
     7,                                    SS$_FLTDIV
     8,                                    SS$_FLTUND
     9,                                    SS$_ROPRAND
     +,                                   MTH$_UNDEXP
     +,                                   MTH$_LOGZERNEG
     +,                                   MTH$_SQUROONEG
     +,                                   MTH$_SIGLOSMAT
     +,                                   MTH$_FLOOVEMAT
     +,                                   MTH$_FLOUNDMAT
     +,                                   FOR$_INPCONERR
     +,                                   FOR$_OUTCONERR
     +)
C
      IF(IDX.LE.0) THEN
        ignore_F_errors  = SS$_RESIGNAL
      ELSE IF (IDX.EQ.9) THEN
        ignore_f_errors=LIB$FIXUP_FLT(SIGARGS,MECHARGS)
      ELSE
        ignore_f_errors = SS$_CONTINUE
* convert faults (fatal) to traps
        IF ((idx.GE.3).AND.(idx.LE.5)) THEN
          CALL LIB$SIM_TRAP(SIGARGS,MECHARGS)
          IF (idx.LE.8) THEN
            IDX = LIB$FIXUP_FLT(SIGARGS,MECHARGS)
          ENDIF
        ENDIF
        MECHARGS(4)=0  !return arguments from continued routine = 0
        MECHARGS(5)=0
      ENDIF
      END
