C   82/12/15 09:57:28   MEMBER NAME  SORT     FORTRAN  JSH  FORTRAN
C<title>  SORTING ROUTINE: SORT AN ARRAY OF INTEGERS IN ASCENDING ORDER </title>
C
      SUBROUTINE ISORT(N,A)
      INTEGER N,A(N)
C
C     N=DIMENSION OF ARRAY A
C     A=ARRAY OF INTEGERS TO BE SORTED
C
C  Sorting algorithm:
C  procedure isort(n,a); integer n; integer array a(1:n);
C begin
C  if n > 1 do
C  begin
C  for i:=i+1 while i < n do
C       begin
C       if a(i+1) < a(i) do
C            begin save:=a(i);
C                  a(i):=a(i+1);
C                  a(i+1):=save;
C                  i := 0;
C            end if a(i+1);
C       end for i;
C  end if n;
C end proc;
C
      INTEGER SAVE
      IF (N.LT.2) RETURN
10    CONTINUE
      I=0
20    CONTINUE
      I=I+1
      IF (A(I+1) .GE. A(I)) GO TO 30
      SAVE=A(I)
      A(I)=A(I+1)
      A(I+1)=SAVE
      GO TO 10
30    CONTINUE
      IF (I .LT. N-1) GO TO 20
      RETURN
C
      END
