/*  template macro  for itemlist filling */
struct itmlst3 {
    WORD    bufsiz;
    WORD    itmcod;
    void *  bufadr;
    void *  retlen;
    };

#define itmlst_init(itm,s,c,b,r) {itm.bufsiz= s;itm.itmcod= c;itm.bufadr= b;\
                                    itm.retlen= r;}


/* examples

struct itmlst3 jpilst[8], syilst[3], psclst[4];

itmlst_init(syilst[0],sizeof maxidx,SYI$_MAXPROCESSCNT,&maxidx,NULL);
    itmlst_init(syilst[1],sizeof num_cpus,SYI$_ACTIVECPU_CNT,&num_cpus,NULL);
    itmlst_init(syilst[2],0,0,NULL,NULL);
    itmlst_init(jpilst[0],sizeof jpictl,JPI$_GETJPI_CONTROL_FLAGS,&jpictl,NULL);
    itmlst_init(jpilst[1],sizeof pindex,JPI$_PROC_INDEX,&pindex,NULL);
    itmlst_init(jpilst[2],sizeof pid,JPI$_PID,&pid,NULL);
    itmlst_init(jpilst[3],sizeof cputim,JPI$_CPUTIM,&cputim,NULL);
    itmlst_init(jpilst[4],sizeof authpri,JPI$_AUTHPRI,&authpri,NULL);
    itmlst_init(jpilst[5],sizeof prib,JPI$_PRIB,&prib,NULL);
    itmlst_init(jpilst[6],sizeof state,JPI$_STATE,&state,NULL);
    itmlst_init(jpilst[7],0,0,NULL,NULL);     
*/
