      INTEGER FUNCTION LENSTR0(string)
C-----------------------------------------
C   Author   :- J.Huber     18-JUL-1991
C=========================================
C   Purpose   : <title> length of zero terminated string </title>
C   Inputs    : string
C   Outputs   : length of string up to first ascii zero

C the equivalent of C RTL strlen(), but string passed by descriptor.
C Usefull when strings are filled in by e.g. C procedures.
C Then maximum returned length is the length given in the descriptor.
C=========================================
      IMPLICIT NONE
      Character*(*) string
      Integer i

      LENSTR0=LEN(string)
      Do i=1,LENSTR0
        If( string(i:i).eq.char(0) ) then
         LENSTR0=i-1
         return
        Endif  
      Enddo  
      End
