      SUBROUTINE LOGSYSMESSAGE(code)
C
C-----------------------------------------
C 
C   Author   :- J.Huber               28-FEB-1994
C
C=========================================
C
C   Purpose   : type the full-text message for a VMS system condition code
C   Inputs    : long code , by reference
C   Outputs   : message typed to sys$output
C   
C <title> translates a system condition code into a readable text message </title>
C   This routine translates a system condition code (as returned by system 
C   service calls and run-time library calls) into a readable text message, 
C   and writes it to the standard output (sys$output:).
C   The input argument CODE is a longword (integer*4) passed by reference.
C   
C   In C language, don't use it like logsysmessage(sys$qio(...)), but rather like
C     code = sys$qio(...);
C     if (!code & 1) logsysmessage(&code);
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INTEGER code
      CHARACTER*256 message
      integer*2 msglen
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      CALL LIB$SYS_GETMSG(code,,message)
      call STR$TRIM(message,message,msglen)
      call lib$put_output(message(1:msglen))
      END
