/*<title> convert date_time in arg2 to binary time (hexadecimal) in DCL symbol arg1 </title>*/
/*
 DCL command: 
     binary_date symbol absolute_date_time_string
*/
#include <stddef.h>
#include <ints.h>
#include <stdlib.h>
#include <descrip.h>
#include <stdio.h>
#include <string.h>
#include <ssdef.h>
#include <starlet.h>
#include <lib$routines.h>

main(int argc, char *argv[])
{

#ifndef __vax
 static unsigned __int64 bintim;
#else
 static unsigned long bintim[2];
#endif
 char quad[20];
 int stat;

 $DESCRIPTOR(datebuf, " ");
 $DESCRIPTOR(symbol, "BINTIM_HEX"); /* default symbol name */

        if (argc > 1) 	{       /* symbol specified ? */
	symbol.dsc$a_pointer = argv[1];
	symbol.dsc$w_length = strlen(argv[1]);
	}

        if (argc < 3) {       /* date_time specified ? */
#ifdef __alpha
	stat=SYS$GETTIM(&bintim);
#else
	stat=SYS$GETTIM(bintim);
#endif
	if ((stat&1) == 0) exit(stat);
        } else {
	datebuf.dsc$a_pointer = strdup(argv[2]);
	datebuf.dsc$w_length = strlen(datebuf.dsc$a_pointer) ;
//                printf(" Date_Time %s \n", argv[2]);

#ifndef __vax
         stat=SYS$BINTIM(&datebuf, &bintim);
#else
         stat=SYS$BINTIM(&datebuf, bintim);
#endif
	 if ((stat&1) == 0) exit(stat);
        }

#ifndef __vax
        sprintf(quad,"%016llX",bintim); /* 016 long long heXadecimal */
#else
        sprintf(quad, "%08X%08X", bintim[1],bintim[0]);
#endif
//                printf(" Binary time (hexadecimal): %s\n", quad);
	datebuf.dsc$a_pointer = quad;
	datebuf.dsc$w_length = strlen(quad);
	exit(lib$set_symbol(&symbol,&datebuf,0));
}
