/*<title> Delete a mailbox via the $DELMBX system service. </title>
 * delmbx
 *   Delete a mailbox via the $DELMBX system service.
 *
 * Usage: delmbx mbxname
 *
 * Last modified:  2-Jan-1990/al
 *
 *  2-Jan-1990  al      First version
 *
 */

#include <stddef.h>
#include <stdlib.h>
#include <stdio.h>
#include climsgdef
#include descrip
#include psldef
#include stsdef
#include <str$routines.h>
#define VMSERR( s ) if (!($VMS_STATUS_SUCCESS(s))) exit(s)   

extern int main(int argc, char**argv)
{
    unsigned long int status, SYS$ASSIGN(), SYS$DELMBX();
    size_t strlen();
    void gripeaboutusage();

    unsigned short int chan;
    struct dsc$descriptor devnamD;

    if (argc != 2)
    {
        gripeaboutusage();
        exit(argc < 2 ? CLI$_INSFPRM : CLI$_MAXPARM);
    }

    /* set up the descriptor for the mailbox name */

    devnamD.dsc$a_pointer = argv[1];
    devnamD.dsc$w_length = (unsigned short int) strlen(argv[1]);
    devnamD.dsc$b_dtype = DSC$K_DTYPE_T;
    devnamD.dsc$b_class = DSC$K_CLASS_S;
    
/* convert name to uppercase - assume same behaviour in PRMMBX */
    str$upcase(&devnamD,&devnamD);
    status = SYS$ASSIGN(&devnamD, &chan, PSL$C_USER, 0);
    VMSERR(status);

    status = SYS$DELMBX(chan);
    exit(status);

}   /* main */

void gripeaboutusage()
{
    fprintf(stderr, "usage: delmbx mailboxname\n");
}

/* delmbx.c */
