!<TITLE>getkey - get a keystroke and put it in a symbol</TITLE>
! Author: Joseph Huber
! on Alpha, needs compile FORTRAN/TIE, and LINK/NONATIVE

! the program has to be called as a foreign command:
! getkey symbol 
!  p1 = symbol to store key
! /HELP : display description

! the key names are those returned by basic $INKEY function

	Program GETKEY

	external GETKEY_TABLE

        Include '($SYSSRVNAM)'
	INCLUDE '($CLIDEF)'
	INCLUDE '(CLI$routines)'
	INCLUDE '(LIB$ROUTINES)'
	INCLUDE '($LIBDEF)'
        INCLUDE '($DSCDEF)'

	character*20 symbol
	integer*2 ll
	integer status

	record /DSCDEF1/ key
	integer BAS$INKEY
	external BAS$INKEY

! GETKEY_TABLE points to a CLI table defined like:
!Module GETKEY_TABLE
!Define Verb GETKEY
!Parameter P1
! Value (Type=$INSYM, Default="KETKEY_KEY")
!Qualifier HELP

	call init_cli_for(GETKEY_TABLE,'GETKEY')

	if (cli$present('HELP')) then
	Print *,' GETKEY symbol '
	Print *,' Returns in symbol a single keystroke from sys$input'
	Call Exit(1)
	endif


      IF (cli$present('P1')) THEN
        status=cli$get_value('P1',symbol,ll)
      ELSE
       symbol = 'GETKEY_KEY'
       ll = 10
D	print *,' GETKEY - no parameter symbol specified using ',symbol
      ENDIF

	key.DSC$W_MAXSTRLEN=0
	key.DSC$B_DTYPE=DSC$K_DTYPE_T
	key.DSC$B_CLASS=DSC$K_CLASS_D
	key.DSC$A_POINTER=0

        status = BAS$INKEY( %REF(key),%VAL(0),%VAL(0),%VAL(0) ) 
        if (.not.status) call EXIT(status)
	call EXIT(LIB$SET_SYMBOL(symbol(1:ll),%REF(key)))

	END

C To add a timeout, specify BAS$INKEY as:
C  integer timeout
C  timeout = some_seconds
C  status = BAS$INKEY( %REF(key),%VAL(0),%VAL(1),%VAL(timeout) ) 
C BUT CAVEAT: the default BAS$ RTL error handler exits in case of timeout
C One probably has to write a BASIC envelop with ON ERROR ...

C the key names are those returned by basic $INKEY function:
C From the DEC Basic documentation:
c  12. All ASCII characters are returned in a 1-byte string.
c  13. All keystrokes that result in an escape sequence are translated to
c  mnemonic strings based on the following key names:
c          * PF1--PF4
c          * E1--E6
c          * F7--F20
c          * LEFT
c          * RIGHT
c          * UP
c          * DOWN
c          * KP0 to KP9
c          * KP- KP+
c          * KP,
c          * KP.
c          * ENTER 


