!<TITLE>Does a string match a wildcard ? </TITLE>
! Author: Joseph Huber
C        Copyright (C) 2005   Joseph Huber (huber@mppmu.mpg.de)

C        This program is free software; you can redistribute it and/or modify
C        it under the terms of the GNU General Public License as published by
C        the Free Software Foundation; either version 2 of the License, or
C        (at your option) any later version.

C        This program is distributed in the hope that it will be useful,
C        but WITHOUT ANY WARRANTY; without even the implied warranty of
C        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C        GNU General Public License for more details.



          Program MATCH_WILD

! the program can be called as a foreign command:

! str$match_wild candidate_string wildcard_string
! /HELP : display description

!Exit status code as returned by str$match_wild:
!  STR$_match (success) or STR$_nomatch


	external match_wild_TABLE

	INCLUDE '($CLIDEF)'
	INCLUDE '(CLI$routines)'
	INCLUDE '(STR$ROUTINES)'
	INCLUDE '($STRDEF)'

	character*128 cand,wild
	integer*2 l1,l2
	integer status

        l1=0
        l2=0
	call init_cli_for(MATCH_WILD_TABLE,'MATCH_WILD')

	if (cli$present('HELP')) then
	Print *,' MATCH_WILD candidate wildcard_string'
	Print *,' Decides if candidate string matches wildcard_string.'
	Print *,' Interface for the str$match_wild RTL routine.'
	Print *,' Exit $STATUS is that of str$match_wild().'
	Call Exit(1)
	endif

      IF (cli$present('P1')) THEN
        status=cli$get_value('P1',cand,l1)
      ENDIF
      IF (cli$present('P2')) THEN
        status=cli$get_value('P2',wild,l2)
      ENDIF

      call EXIT(STR$MATCH_WILD(cand(1:l1),wild(1:l2)))

! The above exits with a warning code in case of no match.
! If You want to avoid messages (or the need to set message bevor and after),
! then activate the following:
!      status = STR$MATCH_WILD(cand(1:l1),wild(1:l2))
!      if (status.eq.STR$_nomatch) status=3
!      call EXIT(status)
! The calling DCL then has explicitly to compare $STATUS against 3 after 
! checking success/failure.

	END
