!++
!     Define symbols according to macro values
!--

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF


.IFDEF __VAX__
TIE =
NATIVE =
FFLAGS = /INCLUDE=([],[-],[-.INCLUDE],SYS$LIBRARY:)
.ELSE
TIE = /TIE
NATIVE = /NONATIVE
FFLAGS = /INCLUDE=([],[-],[-.INCLUDE],SYS$LIBRARY:)
.ENDIF

CFLAGS = 

.SUFFIXES : .exe .obj .c .h .for .f90 .f .inc .mar .cld .uil .uid

.c.obj :
        $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.for.obj :
        $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.f90.obj :
        $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.f.obj :
        $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.mar.obj :
        $(MACRO) $(LST) $(DBGOPT) $(DIA) $<

.cld.obj :
       SET COMMAND/OBJECT $<

.uil.uid :
       UIL $<

.obj.exe :
       LINK $(DBG) $(PCAOPT)  $<


!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue

!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on -
     STR$MATCH_WILD.EXE 
        CONTINUE


!++
!   FORTRAN
!--


STR$MATCH_WILD.OBJ depends_on -
      STR$MATCH_WILD.FOR -
     !
  $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=STR$MATCH_WILD.OBJ STR$MATCH_WILD.FOR

init_cli_for.OBJ depends_on [-]init_cli_for.for
     !
 $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA)/OBJ=init_cli_for.OBJ [-]init_cli_for.for

!++
!  DCL tables
!--


match_wild_table.OBJ depends_on -
        match_wild_table.cld -
     !
       SET COMMAND/OBJ match_wild_table.cld

!++
!   Links
!--


STR$MATCH_WILD.EXE depends_on -
      STR$MATCH_WILD.OBJ match_wild_table.OBJ init_cli_for.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=STR$MATCH_WILD.EXE STR$MATCH_WILD,-
match_wild_table,init_cli_for

          ! End of Link STR$MATCH_WILD
 
     
.FIRST:
       ! MMS begins
.LAST:
       ! MMS Done

