      PROGRAM WRMBX
C
C-----------------------------------------
C
C   Author   :- J.Huber               30-AUG-1990
C   Modified :- J.Huber               15-AUG-1993  wrmbx converted from rdmbx
C
C=========================================
C
C   Purpose   :<title>write a message to a specified mailbox</title>
C   Inputs    :DCL command line
C   Outputs   :system service status
C
* DCL foreign command syntax:
*        WRMBX <mail_box_name>  text-of-message-without-quotes
* If called without a commandline, MBXREAD will prompt for mail_box_name.
* (mail-box-name may be a logical name or the physical device MBAn:).
**Libraries needed:
*  $$HUBER:[UTIL]UTIL/LIB
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INCLUDE '($SSDEF)'
      INCLUDE '($IODEF)'
      INTEGER get_token
      integer*2 lout
      INTEGER*2 chan
      INTEGER LIB$GET_FOREIGN,SYS$ASSIGN,cond
      INTEGER SYS$QIOW
      CHARACTER*80 buf
      CHARACTER*48 mbx
      INTEGER*2 iosb(4),lc2
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
!      lout = getcml(buf,'Mail_box_name:')
      cond = LIB$GET_FOREIGN(buf,'Mail_box_name:',lout)
      if (.NOT.cond) call exit(cond)
      cond = 0
      IF (lout.GE.0) THEN
        lout = get_token(buf,mbx) !get mbx device name
        IF (lout.GE.0) THEN
          CALL STR$trim(mbx,mbx,lc2)
          IF (lc2.GT.0) THEN !need a device name
*         assign mailbox
            Cond = SYS$ASSIGN (mbx(1:lc2),chan,,)
            IF (cond) THEN
              CALL STR$trim(buf,buf,lc2)
              IF (lc2.LE.0) THEN
                buf = ' '   !empty message of one blank
                lc2 = 1
              ENDIF
              lout=lc2
              Cond = SYS$QIOW(
     &           ,%VAL(chan),
     &           %VAL(IO$_WRITEVBLK.OR.IO$M_NOW.OR.IO$M_NORSWAIT),
     &           iosb,,,%REF(buf),%VAL(lout),%VAL(0),,,)
              CALL sys$dassgn(%VAL(chan))
              IF (cond) THEN
                cond = iosb(1)
              ENDIF
            ENDIF
          ENDIF
        ENDIF
      ENDIF
      CALL exit(cond)

      END
