	subroutine openFF (ok,lun,name)
C+
c	openFF package:
c<title> Open a file for FORTRAN formatted I/O </title>
c	ok   : logical result = .true. if file opened
c	lun  : logical unit to use for the file
c	name : ASCIZ file name
c
c	entries:
c	openFR  : open existing file for read only
c	openFU	: open existing or new file for read/write
c	openFW  : open new file for read/write
c
c	The only purpose of these routines is program modularity
c	(e.g. to force file open code into an overlay).
C-
	logical ok
	integer lun
	byte name(25)

	entry openFR (ok,lun,name)

	open (unit=lun,name=name,type='OLD',READONLY,
	1 form='FORMATTED',access='SEQUENTIAL',
	1 err=800)

200	continue
	ok = .true.
	return

	entry openFU (ok,lun,name)

	open (unit=lun,name=name,type='UNKNOWN',
	1 form='FORMATTED',access='SEQUENTIAL',
	1 carriagecontrol='LIST',err=800)
	go to 200

	entry openFW (ok,lun,name)

	open (unit=lun,name=name,type='NEW',
	1 form='FORMATTED',access='SEQUENTIAL',
	1 carriagecontrol='LIST',err=800)
	go to 200

800	continue
	ok = .false.

	end
