      SUBROUTINE PARSE_OS9_FILE_C(OS9_file,path,lp,name,ln)
C
C-----------------------------------------
C
C   Author   :- J.Huber                6-APR-1991
C
C=========================================
C
C   Purpose   :<title> C-language interface to PARSE_OS9_FILE routine </title>
C   Inputs    :
C       char *OS9_file   :OS9 file-name to parse
C       int  *lp,*ln       :length of output character strings
C   Outputs   :
C       char *path,*name  :components of file-name parsed
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE

      INTEGER*2 lp,ln
      BYTE OS9_file(*)
      BYTE path(0:lp),name(0:ln)

      INCLUDE '($DSCDEF)'
      RECORD /DSCDEF1/  DSC_file,DSC_path,DSC_name
      INTEGER*2 rlu

      INTEGER strlen                    ! VAXCRTL.EXE/.OLB

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*       make string descriptors for the C-strings
      CALL MAKE_DSC_STR(OS9_file,STRLEN(OS9_file),DSC_file)
      CALL MAKE_DSC_STR(path,lp,DSC_path)
      CALL MAKE_DSC_STR(name,ln,DSC_name)
*       parse OS9_file into components path and name
      CALL PARSE_OS9_FILE(DSC_file,DSC_path,DSC_name)
*       remove trailing blanks and tabs from result
*       and insert \0 terminator in result string
      CALL STR$TRIM(DSC_path,DSC_path,rlu)
      path(rlu) = 0              ! \0 terminator
      CALL STR$TRIM(DSC_name,DSC_name,rlu)
      name(rlu) = 0              ! \0 terminator
      END
