C   83/01/05 10:13:32   MEMBER NAME  PERMUTE  FORTRAN  JSH  FORTRAN
      SUBROUTINE PERMUT (N,E,SUM)
C<title> CALCULATES ALL PERMUTATIONS OF AN ARRAY (E1,.....EN) </title>
C=====IN LEXICOGRAPHIC ORDER WITHOUT REPETITION.
      EXTERNAL SUM
      INTEGER N
      INTEGER E
      DIMENSION E(N)
C
C  ARGUMENTS:
C   N:NUMBER OF ELEMENTS TO PERMUTE
C   E:COMPONENTS OF VECTOR E ARE THE NUMBERS TO BE PERMUTED,
C     THEY MUST BE ORDERED SO,THAT E(I-1) <= E(I),
C     THE ORIGINAL ORDER WILL BE RESTORED.
C  SUM IS A ROUTINE TO BE CALLED BY CALL SUM(N,E) AFTER EACH
C      PERMUTATION TO ACT ON IT.
C
      INTEGER*4 G,H
      IF (N.GT.1) GO TO 10
      CALL SUM(N,E)
90    RETURN
10    CONTINUE
      I=N-2
      CALL SUM(N,E)
      G=E(N-1)
      H=E(N)
      IF (G.EQ.H) GO TO 20
      E(N)=G
      E(N-1)=H
      CALL SUM(N,E)
      E(N-1)=G
      E(N)=H
20    CONTINUE
      IF (I.EQ.0) GO TO 90
      H=E(I)
      I1=I+1
      DO 30 J=I1,N
      IF (E(J) .LE. H) GO TO 30
      E(I)=E(J)
      E(J)=H
      GO TO 10
30    CONTINUE
31    CONTINUE
      DO 40 J=I1,N
      E(J-1)=E(J)
40    CONTINUE
      E(N)=H
      I=(I-1)
      GO TO 20
      END
