C   83/01/05 11:39:37   MEMBER NAME  POLAR    FORTRAN  JSH  FORTRAN
          SUBROUTINE  POLAR(X,Y,R,PHI)
C<title>  CONVERTS RECTANGULAR COORDINATES (X,Y) TO POLAR (R,PHI) </title>
C RESULT PHI IN RADIANS, 0 <= PHI <= PI
          REAL X,Y,R,PHI
C     TO ALLOW A CALLING SEQUENCE LIKE  CALL POLAR(X,Y,X,Y) SAVE ARGS:
          REAL XSV,YSV
          XSV=X
          YSV=Y
             R=SQRT(XSV**2 + YSV**2)
             PHI=ARSIN(YSV/R)
             IF(XSV.GE.0.) GO TO 10
             PHI=3.141593 - PHI
             RETURN
 10          IF(PHI.LT.0.0) PHI=6.283185 + PHI
             RETURN
             END
