      INTEGER FUNCTION PRCPID(PID,PRCNAM)
C
C-----------------------------------------
C
C   Author   :- J.Huber                1-MAY-1992
C
C=========================================
C
C   Purpose   : <title> get processID for process given by name</title>
C   Returned value  : sys$getjpiw system service code
C   Inputs    : character*(*) PRCNAM  :process name, by descriptor
C   Outputs   : integer PID            :process ID
C               
C   prcpid(PID,prcnam) returns the process-ID of the process
C                                specified by prcnam.
C   ATTENTION: PRCNAM input for prcpid must not contain leading or trailing
C              blanks, AND IS CASE SENSITIVE!
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
* arguments
      INTEGER pid
      CHARACTER*(*) prcnam

      INCLUDE '($syssrvnam)'
      INCLUDE '($JPIDEF)'
* define structure of VMS item-lists
      STRUCTURE /itmlst/
        UNION
          MAP
            INTEGER*2 buffer_length
            INTEGER*2 item_code
            INTEGER*4 buffer_address
            INTEGER*4 return_length_address
          endmap
          MAP
            INTEGER*4 end_list /0/
          endmap
        END UNION
      END STRUCTURE

      RECORD /itmlst/jpi(2)
      INTEGER pidlen/0/
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
* setup for sys$getjpiw to get process ID
      jpi(1).item_code = JPI$_PID
      jpi(1).buffer_length = 4
      jpi(1).buffer_address = %LOC(PID)
      jpi(1).return_length_address = %LOC(pidlen)
      jpi(2).end_list=0
      PID=0
* get process information
      prcpid = sys$getjpiw(,,PRCNAM,jpi,,,)
      END
