/*
      SUBROUTINE REMOVE_FILE_VERSION_C(src_file,dst_file,LD)
C
C-----------------------------------------
C 
C   Author   :- J.Huber                3-MAR-1991
C
C=========================================
C
C   Purpose   : <title>  remove verion number (;...) from a VMS filename </title>
C   version for C-language (arguments by reference, \0 terminated strings)
C   Inputs    :
C        src_file by reference: filename with version number
C        ld       by reference: maximum length of dst_file
C   Outputs   : dst_file by reference:src_file name without version number
C
C   Example:
C   src_file = 'somename.typ;1'
C   length = strlen(src_file);
C   call remove_file_version(src_file,src_file,&length)
C*  results in src_file = 'somename.typ'
C
C=========================================
*/
#include string
#include descrip
#include str$routines
      void remove_file_version_c(char *src_file,char *dst_file,short *ld) {
      short rld;
      struct dsc$descriptor dsc_src,dsc_dst;
      int pos;
      $DESCRIPTOR(semic,";");
      
void remove_file_version(struct dsc$descriptor *,struct dsc$descriptor *);
void make_dsc_str(char *,short *,struct dsc$descriptor *);

  rld = strlen(src_file);
      make_dsc_str(src_file,&rld,&dsc_src);
      make_dsc_str(dst_file,ld,&dsc_dst);
      pos = str$find_first_in_set(&dsc_src,&semic);
      if (pos > 0) {
        pos--; str$left(&dsc_dst,&dsc_src,&pos);
      } else {str$copy_dx(&dsc_dst,&dsc_src);
      }
      str$trim(&dsc_dst,&dsc_dst,&rld);
      dst_file[rld] = 0;
}
