/* common-block example sharing global C and Fortran common data */

#pragma extern_model common_block shr
typedef struct { int data[8192]; } DATCOM;

DATCOM MYCOM;

#include stdio
#include stdlib

void myfor(void);

main()

{
 MYCOM.data[0]=0;
 myfor();
 printf(" data after myfor() is %d\n",MYCOM.data[0]); 
 exit(0);
}

/* to be linked with myfor.obj and options
  PSECT_ATTR = MYCOM , PAGE,SHR,OVR
The PAGE attribute is only necessary if common to be mapped to a global section 

where myfor is :

	subroutine myfor()

	integer data(8192)
	common /mycom/data

	data(1)=8192
	end

And the output is 8192 if the common is correctly linked.
*/

