	program test
*++
* File BIO.FOR
*
* Created: 17-Feb-90 by J.Huber
* Object library: H1$UTIL:VAXUTIL.OLB
*
* Collection of simple RMS-Block-I/O routines, callable from Fortran.
* This allows sequential read/write of arbitrary length blocks starting
* at a (512-byte-) block boundary.
* The file has to be opened in the main program by an open statement like
* this:
*
*	Then blocks can be read (written) by calls like
*
*	Integer BIO_READ,BIO_WRITE
*	iostat = BIO_READ(%val(FOR$RAB(lun)),Buffer,NB)
*	or
*	iostat = BIO_WRITE(%val(FOR$RAB(lun)),Buffer,NB)
*	If (iostat) Then
*	 ...
*	Else
*	 !I/O error 
*	 !RMS$_EOF status code indicates normal end-of-file
*	EndIf
*--

	Include '($RMSDEF)'
	Include '($SSDEF)'
	Integer BIO_OPENW,BIO_OPEN
	External BIO_OPENW,BIO_OPEN

        include 'RABADR.INC'

	integer bio_read,bio_write,BIO_CLOSE
	external bio_read,bio_write,BIO_CLOSE

	integer lun,status,iostat,nb
	integer datar(1024)
	
	lun = 1
*	do i=1,1024
*	 datar(i) = i
*	enddo


	Open(unit=lun,name='RAMPFILE',
     1 iostat=iostat,status='NEW',
!     1 iostat=iostat,status='OLD',READONLY,
     4 access='DIRECT',recordtype='FIXED',
     5 organization='SEQUENTIAL',recl=128,
!     6 useropen=BIO_OPEN)
     6 useropen=BIO_OPENW)

	if (iostat.ne.0) then
	 type * , ' OPEN error=',iostat
	 
	endif

	nb=4*1024
	iostat = BIO_WRITE(%val(RABADR(lun)),datar,nb)
!	iostat = BIO_read(%val(RABADR(lun)),datar,nb)
	TYPE *, ' BYTES WRITTEN:',NB
	type *, datar
	nb=4*1024
	iostat = BIO_WRITE(%val(RABADR(lun)),datar,nb)
!	iostat = BIO_read(%val(FOR$RAB(lun)),datar,nb)
	TYPE *, ' BYTES WRITTEN:',NB
	type *, datar

*	IF (IOSTAT) THEN
         IOSTAT=BIO_CLOSE(%VAL(FABADR(lun)))
*        ENDIF
	call exit(iostat)
	end
