*	Creation Date: 17-Aug-88
*	Revision date: 18-Aug-88

*++
*	Timer statistics routines:
*<title> To measure the time spent in a program section, </title>
*	use the sequence below for to histogram the time between 
*	between point 1 and point 2:
*	   At point 1: Call Timer_init
*	   At point 2: Call Timer_stop(elapsed,CPU)
*	Elapsed, CPU are floating point results (in seconds) for elepased
*	and CPU time passed between the two points.
*
*	Attention: the program is not reentrant, i.e. another program-section
*	executing between point 1 and 2 must start another timer-interval
*	using the same subroutine calls !
*
*	Note: the elapsed time calculation is valid only within a few minutes
*	range. (From the internal VMS time value of 64 bits, only the low order
*	32 bits are used to calculate eleapsed time.
*--

	Subroutine Timer_init (elapsed,CPU)

	Implicit NONE
	Real elapsed,CPU
	Integer*4 Elapsed_time(2)
	Integer*4 CPU_time
	Character*11 asctim
	Integer*2 timlen

	Call LIB$INIT_TIMER
	Return

	Entry Timer_stop (elapsed,CPU)

	Call LIB$STAT_TIMER(2,CPU_time)		
	Call LIB$STAT_TIMER(1,ELAPSED_time)
	Call LIB$FREE_TIMER
	Call SYS$ASCTIM(timlen,asctim,elapsed_time,%VAL(1))
*	asctim is hh:mm:ss.cc
	Read(asctim,'(''HH:MM:'',F5.2)',err=20) elapsed
20	Continue
	CPU = float(CPU_time)/100.

	Return

	End
