#include <stdlib.h>
#include <descrip.h>
#include <stsdef.h>
#include <syidef.h>
#include <lib$routines.h>


/* vms_arch()

      Returns (run-time) VMS architecture string.
*/

char *vms_arch( void)
{
#define ARCH_SIZE 15

static int sts = 0;
static char arch[ ARCH_SIZE+ 1] = "VAX";        /* Only VAX could fail. */
unsigned short arch_len;

struct dsc$descriptor_s arch_descr =
 { ARCH_SIZE, DSC$K_DTYPE_T, DSC$K_CLASS_S, arch };

if (sts == 0)
   {
   sts = lib$getsyi( &SYI$_ARCH_NAME, 0, &arch_descr, &arch_len, 0, 0);
   if ((sts& STS$M_SEVERITY) == STS$K_SUCCESS)
      {
      arch[ arch_len] = '\0';

      /* Trim trailing spaces. */
      while ((arch_len > 0) && (arch[ arch_len- 1] == ' '))
         {
         arch[ --arch_len] = '\0';
         }
      }
   }
return arch;
}
