      INTEGER FUNCTION GET_OPTION_VALUE(TOKEN,OPTION,VALUE)
C
C-----------------------------------------
C
C   Author   :- J.Huber                8-MAR-1991
C
C=========================================
C
C   Purpose   : poor mans command-parsing:
C               VMS of course has the CLI$ routines !
C <title> get next option and it's value from a command line </title>
C       options are according to DCL style token starting with a "/"
C       and have optional a value assigned by /option=value.
C   Returned value  : length of remaining line (0 rest of line empty)
C   Inputs    : character*(*) TOKEN
C   Outputs   : TOKEN: remaining line
C               character*(*) option,value : option and assigned value
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      CHARACTER*(*) TOKEN,OPTION,VALUE
      INTEGER LR,LT
      INTEGER*2 LL
      INTEGER STR$POSITION
      CHARACTER*80 WORK
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      OPTION = ' '
      VALUE = ' '
      WORK = ' '
* first, divide line in (left) option and (right) remainder of line
      CALL STR$TRIM(TOKEN,TOKEN,LL)
      IF (LL.GT.0) THEN
        LT = STR$POSITION(TOKEN,'/')
        IF (LT.GT.0) THEN
          CALL STR$RIGHT(TOKEN,TOKEN,LT+1)
          LR = STR$POSITION(TOKEN,'/')
          IF (LR.GT.0) THEN
            CALL STR$LEFT(WORK,TOKEN,LR-1)
            CALL STR$RIGHT(TOKEN,TOKEN,LR)
            CALL STR$TRIM(TOKEN,TOKEN,LL)
          ELSE
            WORK=TOKEN
            TOKEN = ' '
            LL = 0
          ENDIF !LR
        ELSE
          TOKEN = ' '
          ll = 0
        ENDIF
      ENDIF
* divide option into option word and value
      LT = STR$POSITION(work,':')
      IF (lt.le.0) LT = STR$POSITION(work,'=')
      IF (lt.GT.0) THEN
        CALL STR$LEFT(OPTION,WORK,LT-1)
        CALL STR$RIGHT(VALUE,WORK,LT+1)
      ELSE
        OPTION = WORK
      ENDIF
      GET_OPTION_VALUE = ll
      END
