      INTEGER FUNCTION GET_TOKEN(line,token)
C
C-----------------------------------------
C
C   Author   :- J.Huber                8-MAR-1991
C
C=========================================
C
C   Purpose   : <title> get next token of a string </title>
C   Returned value  : length of token (0 if no more)
C   Inputs    : character*(*) line
C   Outputs   : character*(*) token
C               line : the remaining rest of the line
C
C   To parse a string into pieces seperated by one (or more) blanks,this
C   routine returns the next portion from the beginning up to the next blank.
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      CHARACTER*(*) LINE,TOKEN
      INTEGER*2 ll
      INTEGER lr
      INTEGER str$position

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      CALL STR$TRIM(LINE,LINE,LL)
      IF (LL.eq.0) THEN
       TOKEN = ' '
       LL = 0
      ELSE
       LR = STR$POSITION(LINE,' ')
       IF (LR.GT.0.AND.LR.LT.LL) THEN
        CALL STR$LEFT(TOKEN,LINE,LR-1)
        CALL STR$RIGHT(LINE,LINE,LR+1)
        CALL STR$TRIM(TOKEN,TOKEN,LL)
       ELSE
        token = line
        line = ' '
        CALL STR$TRIM(TOKEN,TOKEN,LL)
       ENDIF
      ENDIF
      get_token = ll

      END
