!        GETPAGESIZE.FOR
!         Created           : 26-FEB-1994 by J.Huber
!        Returns the page size of the system.
!   Return value: pagesize in bytes

! NOTE:  there is now getpagesize() in the Crtl (<unistd.h>) !
! This is a Fortran version directly calling sys$getsyi for convenience
! 
      integer function getpagesize()
 
      INCLUDE '($SYSSRVNAM)'
      INCLUDE '($SYIDEF)'
      INCLUDE '($SSDEF)'
  
      integer*4 pagesize
      integer*4 status
      structure /itmlst/
       integer*2 buflen
       integer*2 item_code
       integer*4  bufadr
       integer*4 retlenadr
      end structure

      record /itmlst/ item(0:1)

      item(0).item_code = SYI$_PAGE_SIZE
      item(0).buflen = 4
      item(0).bufadr = %LOC(pagesize)
      item(0).retlenadr = 0
      item(1).buflen = 0
      item(1).item_code = 0
      pagesize = 0
      
      status = sys$getsyi(,,,item,,,);
      if (.not.status) call LIB$SIGNAL(status)
      getpagesize=pagesize

      end
