      INTEGER FUNCTION GETPRN(PID,PRCNAM)
C
C-----------------------------------------
C
C   Author   :- J.Huber                1-MAY-1992
C   Modified :- J.Huber               18-SEP-1992
C
C=========================================
C
C   Purpose   : <title> get process name (and ID) </title>
C   Returned value  : sys$getjpiw system service code
C   Inputs    : integer PID            :process ID, by reference
C   Outputs   : integer PID            :process ID
C               character*(*) PRCNAM  :process name, by descriptor
C
C   PID = 0 : get the own processname, name of specified PID else
C   PRCNAM should have length of 15 characters
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
* arguments
      INTEGER pid
      CHARACTER*(*) prcnam

      INCLUDE '($syssrvnam)'
      INCLUDE '($ssdef)'
      INCLUDE '($JPIDEF)'
* define structure of VMS item-lists
      STRUCTURE /itmlst/
        UNION
          MAP
            INTEGER*2 buffer_length
            INTEGER*2 item_code
            INTEGER*4 buffer_address
            INTEGER*4 return_length_address
          endmap
          MAP
            INTEGER*4 end_list /0/
          endmap
        END UNION
      END STRUCTURE

      RECORD /itmlst/jpi(3)

      INTEGER prcnamlen/0/,pidlen/0/

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

* setup for sys$getjpiw to get process ID
      jpi(1).item_code = JPI$_PID
      jpi(1).buffer_length = 4
      jpi(1).buffer_address = %LOC(PID)
      jpi(1).return_length_address = %LOC(pidlen)
* setup for sys$getjpiw to get process name
      jpi(2).item_code = JPI$_PRCNAM
      jpi(2).buffer_length = LEN(prcnam)
      jpi(2).buffer_address = %LOC(prcnam)
      jpi(2).return_length_address = %LOC(prcnamlen)
      jpi(3).end_list=0
* get process information
      getprn = sys$getjpiw(,PID,,jpi,,,)
* padd prcnam with blanks (getjpi does not)
      prcnam(prcnamlen+1:)=' '
      END
