C######################### Alpha AXP version #############################
      INTEGER FUNCTION ignore_F_errors(SIGARGS,MECHARGS)
C
C-----------------------------------------
C
C   Author   :- J.Huber               29-MAR-1994
C
C=========================================
C
C   Purpose   : <title> A "ignore all aritmetic trap" condition handler </title>
C   Inputs    :
C   Outputs   :
C
* to establish this condition handler, include the following statements in
* the main program (or any subroutine level below it should be activated):
*      external ignore_F_errors
*      CALL LIB$ESTABLISH(ignore_F_errors)

C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INTEGER  LIB$MATCH_COND
      INCLUDE '($FORDEF)'
      INCLUDE '($SSDEF)'
      INCLUDE '($MTHDEF)'
      INCLUDE '($CHFDEF)'
*VAX      INTEGER   SIGARGS(*),MECHARGS(*)
      RECORD /chfdef1/sigargs
      RECORD /chfdef2/mechargs
      INTEGER IDX

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

C---------------------------------------------------------------------
C PRIVATE EXCEPTION HANDLER: ignore all arithmetic traps
C-------------------------------------------------------------------
C
      IDX         = LIB$MATCH_COND(SIGARGS.CHF$IS_SIG_NAME,
     &,                                    SS$_HPARITH
     1,                                    SS$_INTOVF
     2,                                    SS$_INTDIV
     3,                                    SS$_FLTOVF_F
     4,                                    SS$_FLTDIV_F
     5,                                    SS$_FLTUND_F
     6,                                    SS$_FLTOVF
     7,                                    SS$_FLTDIV
     8,                                    SS$_FLTUND
     9,                                    SS$_ROPRAND
     +,                                   MTH$_UNDEXP
     +,                                   MTH$_LOGZERNEG
     +,                                   MTH$_SQUROONEG
     +,                                   MTH$_SIGLOSMAT
     +,                                   MTH$_FLOOVEMAT
     +,                                   MTH$_FLOUNDMAT
     +,                                   FOR$_OUTCONERR
     +,                                   FOR$_INPCONERR
     +)
C
      IF(IDX.LE.0) THEN
        ignore_F_errors  = SS$_RESIGNAL
      ELSE
        ignore_f_errors = SS$_CONTINUE
c        MECHARGS.CHF$IH_MCH_SAVR0=0  !return arguments from continued routine = 0
c        MECHARGS.CHF$IH_MCH_SAVR1=0  !return arguments from continued routine = 0
        IF (IAND(mechargs.CHF$IS_MCH_FLAGS,CHF$M_FPREGS_VALID)
     &    .NE.0) THEN
*    !return arguments from continued routine = 0
c          MECHARGS.CHF$FH_MCH_SAVF0(1)=0
c          MECHARGS.CHF$FH_MCH_SAVF0(2)=0
c          MECHARGS.CHF$FH_MCH_SAVF1(1)=0
c          MECHARGS.CHF$FH_MCH_SAVF1(2)=0
        ENDIF
      ENDIF
      END
