$! <title> compile routines in library util.olb </title>
$ vax = (f$getsyi("HW_MODEL") .lt. 1024)
$ if vax 
$ then 
$  fopt = "/OPTIMIZE/WARNINGS=NOUNUSED"
$  gopt = ""
$ else
$  fopt = "/SEPARATE/OPTIMIZE/WARNINGS=NOUNUSED"
$  fopt = fopt + "/INCLUDE=([-.INCLUDE],SYS$LIBRARY:)"
$ gopt = "/FLOAT=G_FLOAT"
$ endif
$ copt =  "/INCLUDE=([-.INCLUDE],SYS$LIBRARY:)"
$ if p1.eqs."C" then goto doC
$ if p1.eqs."FORTRAN" then goto dofortran
$ if p1.eqs."LIB" then goto dolib
$ if p1.nes."" then goto 'p1
$doC:
$ SET NOON
$ CALL COMPILE CLIENT_CONNECT.C 'copt'
$ CALL COMPILE CONVERT_ENDIANESS.C 'copt'
$ CALL COMPILE CVTNUM.C 'copt'
$ CALL COMPILE ENDIANESS.C 'copt'
$ CALL COMPILE FS.C 'copt'
$ CALL COMPILE GETBITS.C 'copt'
$ CALL COMPILE GET_ASCTIME.C 'copt'
$! CALL COMPILE HG$GET_INPUT.C 'copt' !see fortran below
$ CALL COMPILE INIT_CLI.C 'copt'
$ CALL COMPILE INIT_CLI_ARGV.C 'copt'
$ CALL COMPILE MAKE_DSC_STR.C 'copt'
$ CALL COMPILE MOVE_DATA.C 'copt'
$ CALL COMPILE REMOVE_FILE_VERSION_C.C 'copt'
$ CALL COMPILE SBYTE.C 'copt'
$ CALL COMPILE SPAWN_NOWAIT.C 'copt'
$ CALL COMPILE STREAM_F.C 'copt'  stream_f.h
$ CALL COMPILE STREAM_FF.C 'copt' stream_f.h
$ CALL COMPILE SWORD.C 'copt'
$ CALL COMPILE TIME_TO_TM.C 'copt'
$! CALL COMPILE VXINVB.C 'copt' !see fortran below
$ CALL COMPILE XTAPPMAINLOOP.C 'copt'
$ CALL COMPILE SWAP_WORDS_C.C 'copt'
$ if p1.nes."" then exit
$!
$doMACRO:
$ if p1.nes."" then exit
$dofortran:
$ SET NOON
$ CALL COMPILE  BROADCAST2REQID.FOR 'fopt'
$ CALL COMPILE  BIGENDIAN.FOR 
$ CALL COMPILE  BIO.FOR 'fopt' RABADR.INC
$ CALL COMPILE  BYTES_TO_CHAR.FOR 'fopt'
$ CALL COMPILE  CLISPAWN.FOR 'fopt'
$ CALL COMPILE  CPUTIM.FOR 'fopt'
$ CALL COMPILE  CRMPSC.FOR 'fopt'
$ CALL COMPILE  CSLEEP.FOR 'fopt''gopt'
$ CALL COMPILE  DATE4.FOR 'fopt'
$ CALL COMPILE  DELAY.FOR 'fopt'
$ CALL COMPILE  DCLEXH.FOR 'fopt'
$ CALL COMPILE  FILE_SIZE.FOR 'fopt'
$ CALL COMPILE  FILL_ITMLST.FOR 'fopt'
$ CALL COMPILE  FIND_FILE.FOR 'fopt'
$ CALL COMPILE  FIND_FILE_C.FOR 'fopt' DSC_STR.INC
$ CALL COMPILE  FPARSE.FOR 'fopt'
$ CALL COMPILE  GBL_SECTION_UFO.FOR 'fopt'
$ CALL COMPILE  GETCML.FOR 'fopt' GCML$CODES.INC
$ CALL COMPILE  GETSYI_NODENAME.FOR 'fopt'
$ CALL COMPILE  GET_OPTION_VALUE.FOR 'fopt'
$ CALL COMPILE  GET_TOKEN.FOR 'fopt'
$ CALL COMPILE  GETPAGESIZE.FOR 'fopt'
$ CALL COMPILE  GIVER4.FOR 'fopt'
$ CALL COMPILE  HG$GET_INPUT.FOR 'fopt'
$ CALL COMPILE  I2BIT.FOR 'fopt'
$ CALL COMPILE  I2TOI4.FOR 'fopt'
$ CALL COMPILE  INIT_CLI_FOR.C 'fopt'
$ CALL COMPILE  ISHELL.FOR 'fopt'
$ CALL COMPILE  ISLEEP.FOR 'fopt''gopt'
$ CALL COMPILE  ISORT.FOR 'fopt'
$ CALL COMPILE  GETPRN.FOR 'fopt'
$ CALL COMPILE  JULIAN_DAY.FOR 'fopt'
$ CALL COMPILE  LENSTR.FOR 'fopt'
$ CALL COMPILE  LIMIT.FOR 'fopt'
$ CALL COMPILE  LOGSYSMESSAGE.FOR 'fopt'
$ CALL COMPILE  M68VAX.FOR 'fopt'
$ CALL COMPILE  MTUTIL.FOR 'fopt' MTSENSE.INC
$ CALL COMPILE  OPENFF.FOR 'fopt'
$ CALL COMPILE  OPMSG.FOR 'fopt'
$ CALL COMPILE  PADD_ZS.FOR 'fopt'
$ CALL COMPILE  PARSE_OS9_FILE.FOR 'fopt'
$ CALL COMPILE  PARSE_OS9_FILE_C.FOR 'fopt' DSC_STR.INC
$ CALL COMPILE  PERMUT.FOR 'fopt'
$ CALL COMPILE  POLAR.FOR 'fopt'
$ CALL COMPILE  PRCPID.FOR 'fopt'
$ CALL COMPILE  PRINT_AND_DELETE.FOR 'fopt'
$ CALL COMPILE  PROCESS_SCAN.FOR 'fopt'
$ CALL COMPILE  PUTMSG.FOR 'fopt'
$ CALL COMPILE  RECTAN.FOR 'fopt'
$ CALL COMPILE  REMOVE_FILE_VERSION.FOR 'fopt'
$ CALL COMPILE  RESOURCE_LOCK.FOR 'fopt' RESOURCE_CTX.INC
$ CALL COMPILE  ROT.FOR 'fopt'
$ CALL COMPILE  ROTVC.FOR 'fopt'
$ CALL COMPILE  SEND_BROADCAST.FOR 'fopt'
$ CALL COMPILE  SEND_MBX_MESSAGE.FOR 'fopt'
$ CALL COMPILE  SHELL.FOR 'fopt'
$ CALL COMPILE  SPAWN_AND_READ.FOR 'fopt'
$ CALL COMPILE  STR$LOWER.FOR 'fopt'
$ CALL COMPILE  STRLEN.FOR 'fopt'
$ CALL COMPILE  SWAP_B.FOR 'fopt'
$ CALL COMPILE  SWAP_W.FOR 'fopt'
$ CALL COMPILE  SWAP_WORDS_F.FOR 'fopt'
$ CALL COMPILE  TAPUSE.FOR 'fopt'
$ CALL COMPILE  TIMER_INIT.FOR 'fopt'
$ CALL COMPILE  UNQUOTE.FOR 'fopt'
$ CALL COMPILE  USERNAME.FOR 'fopt'
$ CALL COMPILE  USROPN.FOR 'fopt'
$ CALL COMPILE  VMS_GETPID.FOR 'fopt'
$ EXIT
$!
$dolib:
$ if f$search("util.olb").nes.""
$ then
$  write sys$output "Updating util.olb ..."
$  library util.olb *.obj
$ else
$  write sys$output "Creating util.olb ..."
$  library util.olb/create/object *.obj
$ endif
$ write sys$output "Make files in [.main] expect UTIL.OLB in SYS$LIBRARY:"
$ write sys$output "To provide it, COPY UTIL.OLB SYS$COMMON:[SYSLIB] ."
$ EXIT

$! <title> compile if source file is newer than .OBJ </title>
$! p1 = source file
$! P2 = optional compile command qualifiers
$! P3 = optional comman-separated list of dependencies (file to check)
$COMPILE: SUBROUTINE
$ fn = f$parse(p1,".C",,"NAME")
$ ft = f$parse(p1,".C",,"TYPE")
$ fnt = fn+ft
$ file=f$search(p1,fnt)
$ if file.eqs."" then goto notfound
$ ft = ft - "."
$ of = fn+".OBJ"
$ if f$search(of).eqs."" then goto makeit
$ sdate = f$cvtime(f$file(file,"RDT"),"COMPARISON")
$ odate = f$cvtime(f$file(of,"RDT"),"COMPARISON")
$ if p3.nes."" then CALL DEPENDENCY 'p3'
$ status=f$integer($STATUS)
$ if STATUS.eq.3 then goto makeit
$ if sdate.lts.odate
$ then
$  write sys$output of," is up-to-date - skipping compilation of ",fnt," !"
$  EXIT 1
$ endif
$makeit:
$ write sys$output "Compiling source file ",file
$ ON ERROR then goto notfound
$ goto 'ft'
$ FOR:
$ F:
$ F90:
$ fortran'p2' 'file'
$ goto intolib
$ C:
$ cc'p2' 'file'
$ goto intolib
$ CC:
$ CPP:
$ CXX:
$ cxx'p2' 'file'
$ goto intolib
$ PAS:
$ pascal'p2' 'file'
$ goto intolib
$ BAS: 
$ basic'p2' 'file'
$ goto intolib
$ MAR:
$ macro'p2' 'file'
$ goto intolib
$ notfound:
$ write sys$output "File not found or unrecognized extension: ",p1
$ exit 
$intolib:
$ if f$search("UTIL.OLB").nes."" then LIBRARIAN UTIL.OLB 'fn'/LOG
$DONE:
$ exit
$! p1 = list of dependency files

$DEPENDENCY: SUBROUTINE
$ nd = 0
$ on error then exit $STATUS
$loop:
$ df = f$element(nd,",",p1)
$ if df.eqs."" .or. df.eqs."," then exit 1
$ ddate = f$cvtime(f$file(p1,"RDT"),"COMPARISON")
$ if ddate.gts.odate then exit 3 ! dependent is newer than object
$ nd = nd+1
$ goto loop
$ EXIT
