! This make file does not contain all the dependencies on routines from
! util.olb.
! Build util.olb first: [-]descrip.mms
!++
!     Define symbols according to macro values
!--
! Customize:
INSTALLDIR = DISK$WWW:[VMS$COMMON.EXE]

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF


.IFDEF __VAX__
TIE =
NATIVE =
FFLAGS = /INCLUDE=([-.INCLUDE],[-],SYS$LIBRARY:)
.ELSE
TIE = /TIE
NATIVE = /NONATIVE
FFLAGS = /INCLUDE=([-.INCLUDE],[-],SYS$LIBRARY:)
.ENDIF

CFLAGS = /INCLUDE=([-.INCLUDE],[-],SYS$LIBRARY:)

LINKLIB = SYS$LIBRARY:UTIL/LIB


.SUFFIXES : .exe .obj .c .h .for .f90 .f .inc .mar .cld .uil .uid

.c.obj :
        $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.for.obj :
        $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.f90.obj :
        $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.f.obj :
        $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA) $<

.mar.obj :
        $(MACRO) $(LST) $(DBGOPT) $(DIA) $<

.cld.obj :
       SET COMMAND/OBJECT $<

.uil.uid :
       UIL $<

.obj.exe :
       LINK $(DBG) $(PCAOPT)  $<,$(LINKLIB)


!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue

!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on SYS$LIBRARY:UTIL.OLB -
     F$DELTA_TIME.EXE STR$MATCH_WILD.EXE WAKE.EXE -
     BROADCAST.EXE SENDME.EXE PATH_TO_DIRECTORY.EXE UNIX_TO_VMS.EXE -
     PRMMBX.EXE DELMBX.EXE RDMBX.EXE WRMBX.EXE MBXEOF.EXE -
     PACKACK.EXE CEFCLUSTER.EXE  F$ADD_TIME.EXE FID2NAME.EXE -
     GETKEY.EXE  INVERT_ENDIAN.EXE TRIMCARD.EXE ECHOC.EXE -
     MSP.EXE ASKOK.EXE TASTE.EXE BINARY_DATE.EXE HIBER.EXE
        CONTINUE


INSTALL :
       BACKUP/DELETE *.EXE $(INSTALLDIR)/NEW/LOG/PROT=(W:RE)

CLEAN :
      DELETE *.OBJ;*,*.EXE;*

!++
!   FORTRAN
!--

F$DELTA_TIME.FOR depends_on f$delta_time.fpp
  FPP -"P" f$delta_time.fpp f$delta_time.for


F$ADD_TIME.FOR depends_on f$add_time.fpp
  FPP -"P" f$add_time.fpp f$add_time.for

binary_date.for depends_on binary_date.fpp
  FPP -"P" binary_date.fpp binary_date.for

F$DELTA_TIME.OBJ depends_on -
      F$DELTA_TIME.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=F$DELTA_TIME.OBJ F$DELTA_TIME.FOR

BROADCAST.OBJ depends_on -
      BROADCAST.FOR -
     !
   $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=BROADCAST.OBJ BROADCAST.FOR


SENDME.OBJ depends_on -
      SENDME.FOR -
     !
   $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=SENDME.OBJ SENDME.FOR

CEFCLUSTER.OBJ depends_on CEFCLUSTER.FOR
  $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) $(TIE) /OBJ=CEFCLUSTER.OBJ CEFCLUSTER.FOR

GETKEY.OBJ depends_on -
      GETKEY.FOR -
     !
   $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) $(TIE) /OBJ=GETKEY.OBJ GETKEY.FOR

HIBER.OBJ depends_on HIBER.FOR
 $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=HIBER.OBJ HIBER.FOR

TASTE.OBJ depends_on -
      TASTE.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=TASTE.OBJ TASTE.FOR

INVERT_ENDIAN.OBJ depends_on -
      INVERT_ENDIAN.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=INVERT_ENDIAN.OBJ INVERT_ENDIAN.FOR

TRIMCARD.OBJ depends_on -
      TRIMCARD.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=TRIMCARD.OBJ TRIMCARD.FOR

F$ADD_TIME.OBJ depends_on -
      F$ADD_TIME.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=F$ADD_TIME.OBJ F$ADD_TIME.FOR

BINARY_DATE.OBJ depends_on -
      BINARY_DATE.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=BINARY_DATE.OBJ BINARY_DATE.FOR

FID2NAME.OBJ depends_on -
      FID2NAME.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=FID2NAME.OBJ FID2NAME.FOR

MSP.OBJ depends_on -
      MSP.FOR [-.include]MTSENSE.CMN -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=MSP.OBJ MSP.FOR


STR$MATCH_WILD.OBJ depends_on -
      STR$MATCH_WILD.FOR -
     !
  $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=STR$MATCH_WILD.OBJ STR$MATCH_WILD.FOR

WAKE.OBJ depends_on -
      WAKE.FOR -
     !
   $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) $(TIE) /OBJ=WAKE.OBJ WAKE.FOR


ASKOK.OBJ depends_on -
     ASKOK.C -
     !
     $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) /define=(DEC_MOTIF_BUG_FIX) ASKOK


PATH_TO_DIRECTORY.OBJ depends_on -
     PATH_TO_DIRECTORY.C -
     !
     $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) PATH_TO_DIRECTORY


UNIX_TO_VMS.OBJ depends_on -
     UNIX_TO_VMS.C -
     !
     $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) UNIX_TO_VMS


ASKOK.UID depends_on -
      ASKOK.UIL -
     !
      UIL ASKOK.UIL


DELMBX.OBJ depends_on -
     DELMBX.C -
     !
     $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) DELMBX


PRMMBX.OBJ depends_on -
     PRMMBX.C -
     !
     $(CC) $(CFLAGS) $(LST) $(DBGOPT) $(DIA) PRMMBX


!++
!  DCL tables
!--


BROADCAST_CLI_TABLE.OBJ depends_on BROADCAST_CLI_TABLE.CLD -
      !
      SET COMMAND/OBJ BROADCAST_CLI_TABLE.cld

GETKEY_TABLE.OBJ depends_on GETKEY_TABLE.CLD -
      !
      SET COMMAND/OBJ GETKEY_TABLE.cld

TASTE_TABLE.OBJ depends_on TASTE_TABLE.CLD -
      !
      SET COMMAND/OBJ TASTE_TABLE.cld

INVERT_CLI_TABLE.OBJ depends_on -
	INVERT_CLI_TABLE.cld -
     !
       SET COMMAND/OBJ INVERT_CLI_TABLE.cld

trimcard_table.OBJ depends_on -
        trimcard_table.cld -
     !
       SET COMMAND/OBJ trimcard_table.cld


delta_time_table.OBJ depends_on -
	delta_time_table.cld -
     !
       SET COMMAND/OBJ delta_time_table.cld

add_time_table.OBJ depends_on -
        add_time_table.cld -
     !
       SET COMMAND/OBJ add_time_table.cld


binary_date_table.OBJ depends_on -
        binary_date_table.cld -
     !
       SET COMMAND/OBJ binary_date_table.cld

fid2name_table.OBJ depends_on -
        fid2name_table.cld -
     !
       SET COMMAND/OBJ fid2name_table.cld

WAKE_TABLE.OBJ depends_on WAKE_TABLE.CLD -
      !
      SET COMMAND/OBJ WAKE_TABLE.cld

match_wild_table.OBJ depends_on -
        match_wild_table.cld -
     !
   SET COMMAND/OBJ match_wild_table.cld


!++
!   Links
!--


F$DELTA_TIME.EXE depends_on -
      F$DELTA_TIME.OBJ delta_time_table.OBJ  -
     !
  LINK $(DBG) $(PCAOPT) /EXE=F$DELTA_TIME.EXE F$DELTA_TIME,delta_time_table,$(LINKLIB)
          ! End of Link
 
WAKE.EXE depends_on -
      WAKE.OBJ WAKE_TABLE.OBJ 
     !
   LINK $(DBG) $(PCAOPT) $(NATIVE) /EXE=WAKE.EXE WAKE,WAKE_TABLE,$(LINKLIB)

BROADCAST.EXE depends_on -
      BROADCAST.OBJ  BROADCAST_CLI_TABLE.OBJ -
     !
  LINK $(DBG) $(PCAOPT) /NOTRACE/EXE=BROADCAST.EXE BROADCAST,BROADCAST_CLI_TABLE,$(LINKLIB)
          ! End of Link BROADCAST

CEFCLUSTER.EXE depends_on CEFCLUSTER.OBJ
  LINK $(DBG) $(PCAOPT) /EXE=CEFCLUSTER.EXE CEFCLUSTER,$(LINKLIB)

SENDME.EXE depends_on -
      SENDME.OBJ  -
     !
  LINK $(DBG) $(PCAOPT) /EXE=SENDME.EXE SENDME,$(LINKLIB)
          ! End of Link SENDME

GETKEY.EXE depends_on -
      GETKEY.OBJ  GETKEY_TABLE.OBJ -
     !
  LINK $(DBG) $(PCAOPT) $(NATIVE) /EXE=GETKEY.EXE GETKEY,GETKEY_TABLE,$(LINKLIB)
          ! End of Link GETKEY
 
TASTE.EXE depends_on -
      TASTE.OBJ  TASTE_TABLE.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=TASTE.EXE TASTE,TASTE_TABLE,$(LINKLIB)
          ! End of Link TASTE
 

INVERT_ENDIAN.EXE depends_on -
      INVERT_ENDIAN.OBJ INVERT_CLI_TABLE.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=INVERT_ENDIAN.EXE INVERT_ENDIAN,INVERT_CLI_TABLE,$(LINKLIB)
          ! End of Link INVERT_ENDIAN

TRIMCARD.EXE depends_on -
      TRIMCARD.OBJ trimcard_table.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=TRIMCARD.EXE TRIMCARD,trimcard_table,$(LINKLIB)
          ! End of Link TRIMCARD


F$ADD_TIME.EXE depends_on -
      F$ADD_TIME.OBJ add_time_table.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=F$ADD_TIME.EXE F$ADD_TIME,add_time_table,$(LINKLIB)
          ! End of Link F$ADD_TIME


BINARY_DATE.EXE depends_on -
      BINARY_DATE.OBJ binary_date_table.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=BINARY_DATE.EXE BINARY_DATE,binary_date_table,$(LINKLIB)

          ! End of Link BINARY_DATE
 
FID2NAME.EXE  depends_on FID2NAME.OBJ FID2NAME_TABLE.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=FID2NAME.EXE FID2NAME,FID2NAME_TABLE,$(LINKLIB)

          ! End of Link FID2NAME

MSP.EXE depends_on -
      MSP.OBJ  -
     !
       LINK $(DBG) $(PCAOPT) /EXE=MSP.EXE MSP.OBJ,$(LINKLIB)
          ! End of Link MSP
 
ASKOK.EXE depends_on -
     ASKOK.OBJ  ASKOK.UID -
    !
     LINK $(DBG) $(PCAOPT) /EXE=ASKOK ASKOK,MOTIF/OPT
          ! End of Link ASKOK

PATH_TO_DIRECTORY.EXE depends_on -
      PATH_TO_DIRECTORY.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=PATH_TO_DIRECTORY.EXE PATH_TO_DIRECTORY
          ! End of Link PATH_TO_DIRECTORY

UNIX_TO_VMS.EXE depends_on -
      UNIX_TO_VMS.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=UNIX_TO_VMS.EXE UNIX_TO_VMS
          ! End of Link UNIX_TO_VMS

STR$MATCH_WILD.EXE depends_on -
      STR$MATCH_WILD.OBJ match_wild_table.OBJ  -
     !
       LINK $(DBG) $(PCAOPT) /EXE=STR$MATCH_WILD.EXE STR$MATCH_WILD,-
              match_wild_table,$(LINKLIB)

 
MBXEOF.EXE depends_on MBXEOF.FOR

DELMBX.EXE depends_on DELMBX.FOR
 
PRMMBX.EXE depends_on PRMMBX.C
 
RDMBX.EXE depends_on RDMBX.FOR     

WRMBX.EXE depends_on WRMBX.FOR     

PACKACK.EXE depends_on PACKACK.FOR

ECHOC.EXE depends_on ECHOC.C

HIBER.EXE depends_on HIBER.OBJ

.FIRST:
       ! MMS begins
  IF f$search(SYS$LIBRARY:UTIL.OLB").eqs."" then mms/descrip=[-]/macro=(SRC=[-]) INSTALL

.LAST:
       ! MMS Done

