!++
!     Define symbols according to macro values
!--

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!      List of tools used and required symbols
!
!      FORTRAN used
!      !Executables used
!--


!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue

!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on -
     F$delta_time.EXE
        CONTINUE


!++
!   FORTRAN
!--

F$DELTA_TIME.FOR depends_on F$DELTA_TIME.FPP
  FPP -"P" F$DELTA_TIME.FPP F$DELTA_TIME.FOR 

F$DELTA_TIME.OBJ depends_on -
      F$DELTA_TIME.FOR -
     !
       $(FORT) $(FFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=F$DELTA_TIME.OBJ F$DELTA_TIME.FOR

init_cli_for.OBJ depends_on -
    [-]init_cli_for.for
     !
  $(FORT) $(FFLAGS) $(LST) $(DBGOPT) $(DIA)/OBJ=init_cli_for.OBJ [-]init_cli_for

delta_time_table.OBJ depends_on -
	delta_time_table.cld -
     !
       SET COMMAND/OBJ delta_time_table.cld

!++
!   Links
!--

F$DELTA_TIME.EXE depends_on -
      F$DELTA_TIME.OBJ delta_time_table.OBJ init_cli_for.OBJ -
     !
       LINK $(DBG) $(PCAOPT) /EXE=F$DELTA_TIME.EXE F$DELTA_TIME,delta_time_table,init_cli_for
          ! End of Link

