*<title>Write EOF to a mailbox to terminate a pending MBX read</title>
        PROGRAM MBXEOF
*++
*       MBXEOF.FOR
* Created: 30-Aug-1990 J.Huber
*
* Write EOF to a mailbox specified in the commandline
* to terminate a pending MBX read with End_Of_File.
** usage:
* if defined as a DCL foreign command:
*        MBXEOF <mail_box_name>
* If called without a commandline, MBXEOF will prompt for mail_box_name.
*
**Libraries needed:
*  $$HUBER:[UTIL]UTIL/LIB
*--
        IMPLICIT NONE
	Include '($SSDEF)'
	Include '($IODEF)'
        CHARACTER*45 file
        INTEGER*2 lout
	integer*2 chan
	Logical SYS$ASSIGN,cond
	logical SYS$QIOW
        logical LIB$GET_FOREIGN

        cond = LIB$GET_FOREIGN(file,'Mail_box_name:',lout)
        if (.NOT.cond) call exit(cond)
        IF (lout.GE.0) THEN
*	 assign mailboxes to server processes
	 Cond = SYS$ASSIGN (file(1:lout),chan,,)
	 If (.not.cond) Then 
	  Call lib$put_output('Failed to assign mailbox')
	 Else
	  Cond = SYS$QIOW(,%VAL(chan),
     &      %VAL(IO$_WRITEOF.OR.IO$M_NOW.OR.IO$M_NORSWAIT),
     &      ,,,,,,,,)
	  If (.not.cond) 
     &	   Call lib$put_output('Failed to write to Mailbox')
         ENDIF
	 Call Exit(cond)
        ENDIF
        CALL exit(SS$_NOMBX)

        END
