      PROGRAM PACKACK
* <title>Issue a IO$_PACKACK function for a drive </title>e.g. to see if a cassette is loaded.
* Author: Joseph Huber

      IMPLICIT NONE
      INCLUDE '($SSDEF)'
      INCLUDE '($IODEF)'
      INCLUDE '($LIBDEF)'
      INCLUDE '($SYSSRVNAM)'
      INTEGER*2 chan,ll
      LOGICAL Status

      STRUCTURE /IOSB/
        INTEGER*2 ios
        INTEGER bytes
        INTEGER*2 %FILL
      END STRUCTURE
      RECORD /IOSB/ iosb

      character*48 device

      logical LIB$GET_FOREIGN
      external LIB$GET_FOREIGN

      status = LIB$GET_FOREIGN(device,'DEVICE:',ll)
      if (.not.status) call exit(status)
      if (ll.le.0) call exit(0)

      Status = SYS$assign(device(1:ll),chan,,)
      IF (.NOT.status) THEN
        CALL lib$put_output('Assign failed for device '//device(1:ll))
        CALL Exit(status)
      ENDIF
      Status = SYS$qiow(,%val(chan),%val(IO$_available),iosb,,,
     &   ,,,,,)
      IF (.NOT.status) THEN
        CALL lib$put_output('IO$_available failed for '//device(1:ll))
        CALL Exit(status)
      ENDIF
      Status = SYS$qiow(,%val(chan),%val(IO$_packack),iosb,,,
     &   ,,,,,)
      IF (.NOT.status) THEN
        CALL lib$put_output('IO$_packack failed for '//device(1:ll))
        CALL Exit(status)
      ENDIF
D      TYPE 6001 , iosb.ios,iosb.ios,iosb.bytes
      IF (iosb.ios .NE. SS$_NORMAL) THEN
        CALL lib$put_output('IO$_packack failed for '//device(1:ll))
        CALL Exit(iosb.ios)
      ENDIF

D6001  FORMAT(' PACKACK status=',I7,' Hex ',Z8,' #bytes=',I)
      END

