      OPTIONS /EXTEND_SOURCE
      PROGRAM SENDME
C
C-----------------------------------------
C
C   Author   :- J.Huber                1-APR-1993
C
C=========================================
C
C   Purpose   : <title>send a message to all my logins in the cluster</title>
C   Inputs    : DCL foreign command line SENDME "message"
C   Outputs   : broadcast sent to all terminals under my userid
C
C        Copyright (C) 1993   Joseph Huber (huber@mppmu.mpg.de)

C        This program is free software; you can redistribute it and/or modify
C        it under the terms of the GNU General Public License as published by
C        the Free Software Foundation; either version 2 of the License, or
C        (at your option) any later version.
C        This program is distributed in the hope that it will be useful,
C        but WITHOUT ANY WARRANTY; without even the implied warranty of
C        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C        GNU General Public License for more details.
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INCLUDE '($libdef)'
      INCLUDE '($SSdef)'
      INCLUDE '($IOdef)'

      INTEGER send_broadcast,lib$get_foreign
      INTEGER USERNAME
      CHARACTER*255 line
      CHARACTER*12 user,sender
      INTEGER iostat,code,pid
      INTEGER*2 ll,lls
      LOGICAL textfile,more

      EQUIVALENCE (sender,user)

      logical LIB$GET_INPUT
      external LIB$GET_INPUT
      integer iostat_to_status
      external iostat_to_status
      integer unquote

      DATA textfile/.FALSE./
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      ll = 0
      pid = 0
      code = USERNAME(sender)
      IF (.NOT.code) CALL exit(code)
      call str$trim(sender,sender,lls)

      code = lib$get_foreign(line,,ll)
D     print *,' ll=',ll,':',line(1:ll)
      IF (ll.LE.0) textfile=.TRUE.
      IF (ll.gt.1) ll = unquote(line(1:ll),line)
      code = 1
      more = .TRUE.
      DO WHILE (more)
        IF (textfile) THEN
         more=LIB$GET_INPUT(line,'MSG>',ll)
        ELSE
         more=.FALSE.
        ENDIF
        IF (ll.gt.0) THEN
         line = ' '//sender(1:lls)//': '//line(1:ll)
         CALL STR$TRIM(line,line,ll)
         code = send_broadcast(user,line(1:ll))
        ENDIF
      ENDDO
* DEVOFFLINE is returned when sending accross cluster nodes,even if success!
      IF (code.EQ.SS$_DEVOFFLINE) CODE=SS$_NORMAL
      CALL exit(code)

      END
