      SUBROUTINE REMOVE_FILE_VERSION(src_file,dst_file)
C
C-----------------------------------------
C 
C   Author   :- J.Huber                3-MAR-1991
C
C=========================================
C
C   Purpose   :<title> remove verion number (;...) from a VMS filename </title>
C   Inputs    : src_file by descriptor: filename with version number
C   Outputs   : dst_file by descriptor: same without version number
C
C   Example:
C   src_file = 'somename.typ;1'
C   call remove_file_version(src_file,src_file)
C*  results in src_file = 'somename.typ'
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      CHARACTER*(*) SRC_FILE,DST_FILE
      INTEGER POS
      INTEGER STR$FIND_FIRST_IN_SET
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

      POS = STR$FIND_FIRST_IN_SET(SRC_FILE,';')
      IF (POS.GT.0) THEN
        CALL STR$LEFT(DST_FILE,SRC_FILE, POS-1)
      ELSE
        DST_FILE = SRC_FILE
      ENDIF
      END
