C#######################################################################
      INTEGER FUNCTION resource_lock_create(resource_name,ctx)
C
C-----------------------------------------
C 
C   Author   :- J.Huber               16-SEP-1993
C
C=========================================
C
C   Purpose   : 
C<title> Routines to establish a secure interlock </title> accessing shared memory
C   Declaration files:
C   Fortran: resource_ctx.inc   structure resource_ctx
C            resource_routines.inc   function type
C   C:       resource.h     structure and function prototypes
C
C   For details see separate resource_lock.hlp file
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INCLUDE '($LCKDEF)/NOLIST'      !define lock modes
      INCLUDE 'resource_ctx.inc'
      CHARACTER*(*) resource_name
      RECORD /resource_ctx/ ctx
      INTEGER cond
      INTEGER*4 Action
      INTEGER SYS$ENQW
!      INTEGER SYS$DEQ
      INTEGER RESOURCE_LOCK_exclusive
      INTEGER RESOURCE_LOCK_write
      INTEGER RESOURCE_LOCK_read
      INTEGER RESOURCE_LOCK_pread
      INTEGER RESOURCE_LOCK_free
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
*       initial creation of the lock name
      ctx.lock_name = resource_name
      Cond = SYS$ENQW(,%VAL(LCK$K_NLMODE),
     &                  ctx,,
     &                  ctx.lock_name,,,,,,%VAL(0))
      Go to 20

      ENTRY RESOURCE_LOCK_exclusive(ctx)
*       exclusive lock request
      Action = LCK$K_EXMODE
      Go to 10

      ENTRY RESOURCE_LOCK_write(ctx)
*       protected write lock request
      Action = LCK$K_PWMODE
      Go to 10

      ENTRY RESOURCE_LOCK_read(ctx)
*       concurrent read lock request
      Action = LCK$K_CRMODE
      Go to 10

      ENTRY RESOURCE_LOCK_pread(ctx)
*       protected read lock request
      Action = LCK$K_PRMODE
      Go to 10

      Entry RESOURCE_LOCK_free(ctx)
*       Post Null lock request on a shared resource ('resource free')
      Action = LCK$K_NLMODE
   10 CONTINUE
      Cond = SYS$ENQW(,%VAL(action),
     &                  ctx,%VAL(LCK$M_CONVERT),
     &                  ctx.lock_name,,,,,,%VAL(0))
   20 IF (Cond) Cond=ctx.lock_status
      RESOURCE_LOCK_create = Cond
      RETURN

      END
