      Integer Function STR$LOWER(dst_string,src_string)
C
C-----------------------------------------
C 
C   Author   :- J.Huber                3-MAR-1991
C
C=========================================
C
C   Purpose   :<title> convert (src_string) to all lowercase characters </title>
C       the inverse of the STR$UPCASE routine
C       Such a routine is (porpusly?) not available in the rtl_routine library
C   Inputs    : 
C       character*(*) src_string
C   Outputs   : 
C       character*(*) dst_string
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      CHARACTER*(*) DST_STRING,SRC_STRING
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
      INCLUDE '($DSCDEF)'
      Record /DSCDEF1/ U,L
      Integer STR$TRANSLATE
      External STR$TRANSLATE
      External LIB$AB_Upcase
      External LIB$AB_Lowercase

      call MAKE_DSC_STR(%REF(LIB$AB_Upcase),256,U)
      call MAKE_DSC_STR(%REF(LIB$AB_Lowercase),256,L)

      STR$LOWER = STR$TRANSLATE(DST_STRING,SRC_STRING,L,U)

!     & 'abcdefghijklmnopqrstuvwxyz',    ! L
!     & 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')    ! U

! Could also be done also using MOVTC:
!        Str$Lower = Lib$MOVTC (SRC_STRING, ' ', L, DST_STRING)

      END
