/* <title>test some 64bit features</title>*/
#include <stddef.h>
#include <stdlib.h>
#include <stdio.h>

#define DIMENSION 1024

int main() {

double *p=NULL;
char *addr;
int sizell,sizep;

sizell = sizeof(unsigned long long);
sizep = sizeof(addr);
 printf(" size of long long: %d, size of pointer: %d\n",sizell,sizep);

/* for malloc, there is nothing known about alignement */

  addr = malloc(DIMENSION*sizeof(double)+sizeof(double));              

/* in the case of malloc, if addr was not aligned to (double) boundary, 
   align it: */
#ifndef __INITIAL_POINTER_SIZE
#define __INITIAL_POINTER_SIZE 32
#endif
# if __INITIAL_POINTER_SIZE == 64
  if ((((unsigned long long)(addr)) % 8)!=0) 
  p=(double *) (((unsigned long long)(addr+8))&(unsigned long long)(~0x7));
  else p=(double *)addr;
#else
  if ((((unsigned long)(addr)) % 8)!=0) 
  p=(double *) (((unsigned long)(addr+8))&(unsigned long)(~0x7));
  else p=(double *)addr;
#endif

  printf(" malloc: addr: %x p: %x \n",addr,p);
  free(addr);

/* calloc(number,sizeof(double)) allocates size-aligned, zeroed memory*/

  p= (double *) calloc(DIMENSION,sizeof(double));


  printf(" calloc:  p: %x \n",p);
  free(p);

  exit(0);
}
