/* 
        TEST_FIND_FILE_C.C
         Created           :  3-MAR-1991 by J.Huber
*/
 
/*
*	This is the main program to be defined as a DCL external command.
*	DCL calling syntax is:
*
*	SEND file_list [-d=default_file-spec]
*
*	Additional options may be: 
*/
/* #define DEBUG Y	/* activate debug print statements*/

#ifdef __VMS
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#	include file
#	include unixio
#include <errno.h>
#else    /* OS9 assumed */
#define FILENAME_MAX 48
extern char	*optarg;
extern int	optind,opterr;
extern int errno;
#endif  
#include <string.h>


int find_file_c();
void remove_file_version_c();


main(argc, argv)
	int	argc;
	char	*argv[];
  


{
	int status;
	char search[FILENAME_MAX];
	char deffil[FILENAME_MAX];
	char result[FILENAME_MAX];
    int rl=FILENAME_MAX;
	int help=0;
	char* temp;
	int c;


	strcpy(deffil,"*.*"); strcpy(result,""); 

/*	Analyse commandline options and extract their values:
*/

	while ((c = getopt (argc, argv, "d:h?")) != -1) 
	{
	switch (c) {
	case 'h' :      /* help */
	case '?' :      /* help */
	  help = 1;
	  break;
	case 'd' :	/* default file*/
          if (optarg != NULL) {strncpy(deffil,optarg,FILENAME_MAX);}
	  break;
	default:
	;}

  if ( help) {
   fprintf(stderr,"\nSyntax:  TEST [-d default] filespec\n\n");
   fprintf(stderr,"          -h       help\n");
   fprintf(stderr,"          -d=default file specification \n");
   exit(0);
              }
} /* end while getopt*/
strcpy(search,deffil);
printf(" optind,argc: %d %d \n",optind,argc);
 if (((optind) < argc) && (argv[optind]) ) strncpy(search,argv[optind],FILENAME_MAX);
 status = 1;
 while (status&1 == 1) {
   status = find_file_c(search,deffil,result,&rl);
   if (status&1 == 1) {
     remove_file_version_c(result,result,&rl);
     printf("File found: %s\n",result);}
     };
     exit(status);

}
