      PROGRAM TEST_LOCKR
C
C-----------------------------------------
C 
C   Author   :- J.Huber               16-SEP-1993
C
C=========================================
C
C   Purpose   : test the resource_lock routines READER
C   Inputs    : 
C   Outputs   : 
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      INCLUDE 'resource_ctx.inc'
      INCLUDE 'resource_routines.inc'
      RECORD /resource_ctx/ ctx
      INTEGER cond,counter
      include 'test_common.inc'
C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
C
      counter = 0
       Cond = RESOURCE_LOCK_create('TEST_COMMON',ctx)  
       If (.not.cond) call exit(cond)
       do while (.TRUE.)
C For every interlocked operation ("write")
       Cond = RESOURCE_LOCK_read(ctx)   !lock resource for exclusive access
       If (.not.cond) call exit(cond)
       counter=test_common(1)
C ....  do the critical operations
       Cond = RESOURCE_LOCK_free(ctx)    !free resource
       If (.not.cond) call exit(cond)
       type * , ' test_common(1)=',counter
       Call lib$wait(2.)
       enddo
       call exit(cond)
      END

