      PROGRAM test_stream

      INTEGER ld
      PARAMETER (ld=200)

      INTEGER status,iostat,nb,stream
      INTEGER datar(ld)

      INTEGER stream_fopen,stream_fclose
      INTEGER stream_fwrite,stream_fread

      CHARACTER*32 FILE_NAME
      CHARACTER*4  MODE



      DO i=1,ld
        datar(i) = i
      ENDDO


      iostat = stream_fopen(stream,'test.dat'//char(0),'wb'//char(0))

      IF (iostat.EQ.0) THEN
        PRINT * , ' FOPEN error'
        STOP
      ENDIF

      nb=4*ld
      iostat = stream_fWRITE(stream,datar,nb)
      PRINT *, ' bytes WRITTEN:',iostat
      iostat = stream_fWRITE(stream,datar,nb)
      PRINT *, ' bytes WRITTEN:',iostat

      IOSTAT=STREAM_FCLOSE(stream)
      IF (iostat.NE.0) THEN
        PRINT * , ' FCLOSE error'
        STOP
      ENDIF

* reopen file for read
      iostat = stream_fopen(stream,'test.dat'//char(0),'rb'//char(0))

      IF (iostat.EQ.0) THEN
        PRINT * , ' FOPEN error for read'
        STOP
      ENDIF
      nb=4*ld
      iostat = stream_fread(stream,datar,nb)
      PRINT *, ' bytes READ:',iostat
      DO i=1,ld
        IF (datar(i).NE.i) THEN
          PRINT * , ' Data do not compare:i,data(i):',i,datar(i)
        ENDIF
      ENDDO
      iostat = stream_fread(stream,datar,nb)
      PRINT *, ' bytes READ:',iostat
      DO i=1,ld
        IF (datar(i).NE.i) THEN
          PRINT * , ' Data do not compare:i,data(i):',i,datar(i)
        ENDIF
      ENDDO

      STOP
      END
