      OPTIONS /EXTEND_SOURCE
!<title> remove quotes (") around strings </title>
! by Joseph Huber

!This is a simple unquote which strictly removes quote pairs from both ends
!of a string. Does not handle (repeated) quotes inside a string !

      Integer Function  UNQUOTE(in,out)

* in = input string (by descriptor)
* out = output (unquoted) string (by descriptor)
* integer function result =  resulting length of string

      Implicit NONE

      character*(*) in,out

      integer*2 LL
      integer I

      I=1
      if ((LEN(in).GT.1) .AND. (in(1:1).eq.'"')) I=2
      call str$trim(out,in(I:),LL)
! alternative: always remove trailing quote or only if a leading is present ?
!      if (out(LL:LL).eq.'"') then                 !always remove trailing quote
      if ((I.GT.1) .AND. (out(LL:LL).eq.'"')) then !only if leading quote
         out(LL:LL)=' '
         LL=LL-1
      endif
      UNQUOTE = LL
      END
