      INTEGER FUNCTION VMS_GETPID(opid)
C
C-----------------------------------------
C
C   Author   :- J.Huber                1-MAY-1992
C
C=========================================
C
C   Purpose   : <title> get my process ID </title>
C   Returned value  : PID of calling process
C   Inputs    : none
C   Outputs   : optional integer PID     :process ID,  by reference
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
* arguments
      INTEGER opid

      INCLUDE '($syssrvnam)'
      INCLUDE '($JPIDEF)'
* define structure of VMS item-lists
      STRUCTURE /itmlst/
        UNION
          MAP
            INTEGER*2 buffer_length
            INTEGER*2 item_code
            INTEGER*4 buffer_address
            INTEGER*4 return_length_address
          endmap
          MAP
            INTEGER*4 end_list /0/
          endmap
        END UNION
      END STRUCTURE

      RECORD /itmlst/jpi(2)

      INTEGER pidlen/0/
      INTEGER PID

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

* setup for sys$getjpiw to get process ID
      jpi(1).item_code = JPI$_PID
      jpi(1).buffer_length = 4
      jpi(1).buffer_address = %LOC(PID)
      jpi(1).return_length_address = %LOC(pidlen)
      jpi(2).end_list=0
* get process information
      pid = 0
      Call sys$getjpiw(,PID,,jpi,,,)
      if (IARGCOUNT().gt.0) opid=PID !return optional PID in argument
      VMS_GETPID=PID
      END
