#include <stdlib.h>
#include <descrip.h>
#include <stsdef.h>
#include <syidef.h>
#include <lib$routines.h>

/* vms_vers()

      Returns (run-time) VMS version string.
*/

char *vms_vers( void)
{
#define VERS_SIZE 8

static int sts = 0;
static char vers[ VERS_SIZE+ 1] = "";
unsigned short vers_len;

struct dsc$descriptor_s vers_descr =
 { VERS_SIZE, DSC$K_DTYPE_T, DSC$K_CLASS_S, vers };

if (sts == 0)
   {
   sts = lib$getsyi( &SYI$_VERSION, 0, &vers_descr, &vers_len, 0, 0);
   if ((sts& STS$M_SEVERITY) == STS$K_SUCCESS)
   {
      vers[ vers_len] = '\0';

      /* Trim trailing spaces. */
      while ((vers_len > 0) && (vers[ vers_len- 1] == ' '))
         {
         vers[ --vers_len] = '\0';
         }
      }
   }
return vers;
}
 

