      SUBROUTINE VXINVB(array,N)
C
C-----------------------------------------
C 
C   Author   :- J.Huber                8-OCT-1997
C
C=========================================
C
C   Purpose   :<title> VXINVB(array,N) inverts endianess of integer*4 array </title> 
C              of length N, i.e. little-endian to big-endian and vice-versa
C    e.g. hexadecimal 12345678 becomes 78563412
C   Inputs    : array(N)
C   Outputs   : array(N) in inverted byte order
C
C=========================================
C +
C Declarations.
C -
      IMPLICIT NONE
      integer N
      integer array(N)

      integer I
      integer*4 word
      byte b(4),bs
      equivalence (word,b)

C + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
C Entry Point.
C - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

      do i=1,N
        word = array(i)
        bs = b(1)
        b(1)=b(4)
        b(4)=bs
        bs = b(2)
        b(2)=b(3)
        b(3)=bs
        array(i) = word
        enddo
      END
