/* for the DECWindow libraries missing XtAppSetExitFlag
 <title>  create local XtAppMainLoop and XtAppSetExitFlag </title>
 Author: Joseph Huber
*/

#include <x11/intrinsic.h>

static int finishFlag = 0;

void XtAppMainLoop( XtAppContext appContext ) {

 XEvent event;
     while (!finishFlag)
     {
         XtAppNextEvent(appContext, &event);
         XtDispatchEvent(&event);
     }
}


void XtAppSetExitFlag(void) {
  finishFlag = 1;
}

